> For the complete documentation index, see [llms.txt](https://docs.kiln.fi/v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kiln.fi/v1/kiln-products/onchain/pooled-staking/how-to-integrate.md).

# How to integrate

- [Getting Started](https://docs.kiln.fi/v1/kiln-products/onchain/pooled-staking/how-to-integrate/getting-started.md)
- [Architecture overview](https://docs.kiln.fi/v1/kiln-products/onchain/pooled-staking/how-to-integrate/architecture-overview.md): This page provides a high-level understanding and overview of the architecture of the smart contracts as it relates to pooled staking.
- [User experience](https://docs.kiln.fi/v1/kiln-products/onchain/pooled-staking/how-to-integrate/user-experience.md)
- [Integration contract](https://docs.kiln.fi/v1/kiln-products/onchain/pooled-staking/how-to-integrate/integration-contract.md): Learn more about your integration contract along with the choice of receipt tokens available to you.
- [Contract governance](https://docs.kiln.fi/v1/kiln-products/onchain/pooled-staking/how-to-integrate/contract-governance.md): This page describes the roles needed to operate the integration contracts
- [Contract ABI](https://docs.kiln.fi/v1/kiln-products/onchain/pooled-staking/how-to-integrate/contract-abi.md)
- [Using TheGraph](https://docs.kiln.fi/v1/kiln-products/onchain/pooled-staking/how-to-integrate/using-thegraph.md): TheGraph indexes data from the smart contracts to facilitate easier access. You can use it to understand what happens live during this guide.
- [Staking Interactions](https://docs.kiln.fi/v1/kiln-products/onchain/pooled-staking/how-to-integrate/staking-interactions.md): This page provides an overview of the various contract interactions when staking.
- [Staking](https://docs.kiln.fi/v1/kiln-products/onchain/pooled-staking/how-to-integrate/staking-interactions/staking.md)
- [Rewards](https://docs.kiln.fi/v1/kiln-products/onchain/pooled-staking/how-to-integrate/staking-interactions/rewards.md)
- [Unstaking & Withdrawals](https://docs.kiln.fi/v1/kiln-products/onchain/pooled-staking/how-to-integrate/staking-interactions/unstaking-and-withdrawals.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kiln.fi/v1/kiln-products/onchain/pooled-staking/how-to-integrate.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
